Description
consent.channel is not in the subaccount's consentPolicy.allowedChannels while its consent policy is enforce, so the card is not enrolled. New accounts allow every channel. New accounts start in enforce, in sandbox and production.
POST /card-subscriptions answers 403:
{
"detail": "This consent channel is not allowed for this subaccount.",
"title": "Forbidden",
"type": "https://docs.astrada.co/reference/errors-consent_channel_not_allowed",
"errorCode": "card_subscription.consent_channel_not_allowed"
}How to solve
Read consentPolicy on GET /subaccounts/{subaccountId}. Ask Astrada to add your channel (api for a direct API integration) to the subaccount's allowed channels.
